Thread::join
Thread::merge
Thread
PHP Manual

# Thread::lock

(PECL pthreads >= 0.40)

Thread::lock — Synchronization

### Description

final public boolean Thread::lock ( void )

Lock the referenced objects storage for the calling context

### Parameters

This function has no parameters.

### Return Values

A boolean indication of success

### Examples

Example #1 Locking Thread Storage

`<?php
class My extends Thread {
public function run() {
var_dump($this->lock());
/** nobody can read or write **/
var_dump($this->unlock());
/** reading / writing resumed for all other contexts */
}
}
$my = new My();
$my->start();
?>`

The above example will output:

    bool(true)
    bool(true)

Thread::join
Thread::merge
Thread
PHP Manual